#ifndef __aspconfig_h_included__
#define __aspconfig_h_included__

static inline void connect_led_on() {
    /* GREEN or YELLOW on */
    PORTD |= (1<< PD7);
    DDRD  |= (1<< PD7);
}

static inline void connect_led_off() {
    /* GREEN or YELLOW off */
    DDRD  &= ~(1<< PD7);
    PORTD &= ~(1<< PD7);
}

static inline void busy_led_on() {
    /* RED or ORANGE off : reversed */
    //DDRD  &= ~(1<< PD6);
    PORTD &= ~(1<< PD6);
    DDRD  |= (1<< PD6);
}

static inline void busy_led_off() {
    /* RED or ORANGE on : reversed */
    PORTD |= (1<< PD6);
    DDRD  |= (1<< PD6);
}

#define ENABLE_ISP1
#define ISP_OUT   PORTB
#define ISP_IN    PINB
#define ISP_DDR   DDRB
#define ISP_RST   PB0	/* SS */
#define ISP_MOSI  PB2	/* MOSI = ISP MOSI */
#define ISP_MISO  PB3	/* MISO = ISP MISO */
#define ISP_SCK   PB1	/* SCLK */

#define ENABLE_ISP2
#define ISP2_OUT   PORTD
#define ISP2_IN    PIND
#define ISP2_DDR   DDRD
#define ISP2_RST   PD1
#define ISP2_MOSI  PD3	/* MOSI = TX */
#define ISP2_MISO  PD2	/* MISO = RX */
#define ISP2_SCK   PD5	/* SCLK = XCK */
#define ISP2_DIR   PD4	/* for buffer control - L: TX , H or Hi-Z: RX */

#endif /* __aspconfig_h_included__ */
